Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRStringUtil

    java.lang.Object
      net.sf.jasperreports.engine.util.JRStringUtil

    public final class JRStringUtil

extends java.lang.Object

Version:
  $Id: JRStringUtil.java 3747 2010-04-16 17:06:14Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected static java.lang.String` | `JAVA_IDENTIFIER_PREFIX`

Method Summary
`static java.lang.String` | `escapeJavaStringLiteral(java.lang.String text)` Escapes a text so that it can be used as a Java String literal.
`static java.lang.String` | `getJavaIdentifier(java.lang.String name)` Takes a name and returns the same if it is a Java identifier; else it substitutes the illegal characters so that it can be an identifier
`static java.lang.String` | `getLiteral(java.lang.String name)` Deprecated. Replaced by `getJavaIdentifier(String)`.
`static java.lang.String` | `htmlEncode(java.lang.String text)`
`static java.lang.String` | `replaceCRwithLF(java.lang.String text)` This method replaces all occurrences of the CR character with the LF character, except when the CR is immediately followed by a LF (CRLF sequences), in which case the CR is removed.
`static java.lang.String` | `xmlEncode(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVA_IDENTIFIER_PREFIX

    protected static final java.lang.String JAVA_IDENTIFIER_PREFIX

See Also:
  Constant Field Values

Method Detail

### replaceCRwithLF

    public static java.lang.String replaceCRwithLF(java.lang.String text)

  This method replaces all occurrences of the CR character with the LF character, except when the CR is immediately followed by a LF (CRLF sequences), in which case the CR is removed.

### xmlEncode

    public static java.lang.String xmlEncode(java.lang.String text)

### htmlEncode

    public static java.lang.String htmlEncode(java.lang.String text)

### getLiteral

    public static java.lang.String getLiteral(java.lang.String name)

  Deprecated. Replaced by `getJavaIdentifier(String)`.

### getJavaIdentifier

    public static java.lang.String getJavaIdentifier(java.lang.String name)

  Takes a name and returns the same if it is a Java identifier; else it substitutes the illegal characters so that it can be an identifier

  Parameters:
    `name` -

### escapeJavaStringLiteral

    public static java.lang.String escapeJavaStringLiteral(java.lang.String text)

  Escapes a text so that it can be used as a Java String literal.

  Parameters:
    `text` - the text
  Returns:
    the text with escaped quotes and backslashes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com